#! /usr/bin/env python
# -*- encoding: utf-8 -*-
import os, re, sys, codecs

def main():
    reg_text = re.compile(".+(TEST_(?:SUITE|CASE))\((.+)\)")
    reg_fixture = re.compile("(.+), *.+")
    test_suites = {}
    test_cases  = {}
    for line in sys.stdin:
        line = line[:-1]

        filename, linenumber, match = line.split(':')
        matching = reg_text.match(match)

        if matching is not None:
            if "TEST_SUITE" in match:
                suite_name = matching.group(2)

                matching_fixture = reg_fixture.match(suite_name)
                if matching_fixture is not None:
                    suite_name = matching_fixture.group(1)

                test_suites[filename] = test_suites.get(filename, []) + [ ( int(linenumber), suite_name) ]
            elif "TEST_CASE" in match:
                test_cases[filename] = test_cases.get(filename, []) + [ ( int(linenumber), matching.group(2)) ]
        else:
            print >> sys.stderr, "Unable to find a match. Tests should be malformed... Abort"
            sys.exit(-1)


    for filename in test_suites:
        suites = test_suites[filename]

        if filename in test_cases:
            tests = test_cases[filename]

            for suite_line, suite_name in suites:
                for test_line, test_name in tests:
                    if suite_line < test_line:
                        print suite_name + "/" + test_name


if __name__ == '__main__':
    main()
