The program has a few options that can be seen by using the `-h` / `--help` directly on command line.

OGRE options
------------

We reproduce and comment these options here:

<pre>
General:
  -h [ --help ]              Help message
  -r [ --rules ] arg         File with rewriting rules
  -t [ --treebank ] arg      File or directory with the treebank to rewrite
                             (read on STDIN if not provided)
  -f [ --type ] arg (=conll) Type of input (currently conll or depxml)
  --log arg (=none)          Set verbosity (currently 'none' for no output,
                             'info' for light information or 'debug' for large
                             information)
  -v [ --verbose ]           Set verbose mode
  -o [ --output ] arg        Output directory (output on STDOUT if not
                             provided)
  -p [ --force-output ]      Force an output, even though nothing has been
                             rewritten
  -n [ --no-rewriting ]      Print the sentences where rules can be applied
                             only.
</pre>

Basic usage
-----------

Using the software requires at least the following option:

- `-r` rules_file

You can use the software like this:

<pre>
cat my_file | OGRE -r rules_file
</pre>
which takes the input from the standard input and outputs on the standard output.

Rules file uses a **domain specific language** described in the [Graph Query Language](/projects/52d00f41b571a00200dd7076/page/52d1554ad2bb350200d1aef1) section.

Options' description
--------------------

- Option `-f` is only useful if you have compiled OGRE with *DepXML* support (please see the compilation section for details).

- Option `-t` lets you specify a directory with files to rewrite or a file with paths to files like this (`#` marks a commented line which will be ignored when reading the file):
```
/my_path/to/file/to/rewrite/1
/my_path/to/file/to/rewrite/2
#/my_path/to/file/to/rewrite/will/be/ignored
```

- Option `--log` defines different verbose modes:
  * `info` is just a normal verbose mode and can be set with option `-v`
  * `debug` produces really long logs to help you debug your rules and see what happens
  * `none` is the default (no verbosity)

- Option `-p` force all graphs to be output, because by default only rewritten graphs are output by the system.
- Option `-n` output all graphs matched by rules, but do not try to transform them. It's useful when you want to do graph matching and not graph rewriting.
