Input
-------

<a name='conll-like-format'></a>
#### CoNLL-like format

By default, OGRE handles a CoNLL-like format (See CoNLL format [here](http://ilk.uvt.nl/conll/#dataformat)). Only the first 8 columns are processed by OGRE, remaining columns are simply ignored. 

When reading such a file, OGRE creates a graph with some pre-defined properties:

- On nodes:
    - **token** which holds the token (2nd column)
    - **lemma** which holds the lemma (3rd column)
    - **hypercat** which holds the coarse-grained part-of-speech (4th column)
    - **cat** which holds the fine-grained part-of-speech (5th column)
- On edges:
    - **label** which olds the relation labels (8th column)

The 6th column referring to features needs to be like this:
<pre>
key1=value1|key2=value2|key3=value3
</pre>

This create new properties of names **key1** to **key3** with values *value1* to *value3*.

Finally, CoNLL format was not made to express graphs. You can only have one edge between two nodes (more strictly one in-edge per node only). OGRE adds multiple edges per node by modifying columns 7th and 8th in that way:

##### Before
<pre>
1   subj
2   obj
0   root
</pre>

##### After
<pre>
1|2 subj|a_obj
2|3 obj|comp
0   root
</pre>

#### DepXML format
DepXML is the native format of the [FRMG parser](http://alpage.inria.fr/parserdemo). This is XML-like format representing dependency trees from the deep-coverage hybrid TIG/TAG parser derived from the French Metagrammar.

To use this format, you need to compile OGRE with the DEPXML options enabled (see the compilation page for more details).

Output
-------

OGRE outputs only the CoNLL-like format presented in section [CoNLL-like format](#conll-like-format).
